Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-25815

Fix invalid yaml files

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: High
    • Resolution: Duplicate
    • Affects Version/s: 2014.11, 16.02
    • Fix Version/s: 1.5.0
    • Component/s: None
    • Labels:
      None

      Description

      YAML files such as services.yml located in eZ/Bundle/EzPublishCoreBundle/Resources/config/ seems to be invalid for latest version of phpunit 5.x. but it runs perfectly with 4.8.26 version.

      Tried with mutliple online validators found, most of them validates the actual services.yml file.

      However in Symfony 3, they have already fixed this issue as seen here for example: https://github.com/symfony/symfony-demo/pull/247/files

      Furthermore, reading YAML 1.2 specs, the @ character is reserved, therefore is should be quoted.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            mattk Matthieu Kapetanos
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: